//---------------------------------------------------------------------------
//note
//循环的次数用计算的，不用定值
//---------------------------------------------------------------------------
#ifndef UploadFormUnitH
#define UploadFormUnitH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Imaging.pngimage.hpp>
#include <Vcl.Graphics.hpp>
#include <Vcl.Imaging.jpeg.hpp>
//#include "PNGButton.hpp"
#include "GlobalUnit.h"
#include "GeneralDialogPanel.h"
#include "CapButton.h"
#include "LineEdit.h"
#include "TextButton.h"
#include "ComboBoxComponent.h"
#include "CKBox.h"

#define MUSIC_TYPE_NUM     12

//#include "BKGMemoUnit.h"
//#include "ComboBoxComponent.h"

//---------------------------------------------------------------------------
class TUploadForm : public TForm
{
__published:	// IDE-managed Components
	TLabel *m_lblSongName;
	TLabel *m_lblSinger;
	TLabel *m_lblSex;
	TLabel *m_lblArranger;
	TLabel *m_lblOriginal;
	TLabel *m_lblLyricist;
	TLabel *m_lblComposer;
	TLabel *m_lblMusicType;
	TLabel *m_lblDescription;

//	BKGMemoUnit::TMemo *m_memoDescription;
	TMemo *m_memoDescription;
	TGeneralDialogPanel *m_GPanelBKG;

	TLineEdit *m_editSongName;
	TLineEdit *m_editSinger;
	TLineEdit *m_editArranger;
	TLineEdit *m_editOriginal;
	TLineEdit *m_editLyricist;
	TLineEdit *m_editComposer;

	TTextButton *m_btnOk;
	TTextButton *m_btnCancel;
	TComboBoxComponent *m_pCBSex;
	TCKBox *m_checkBlues;
	TCKBox *m_checkPop;
	TCKBox *m_checkClassic;
	TCKBox *m_checkCountry;
	TCKBox *m_checkDance;
	TCKBox *m_checkFolk;
	TCKBox *m_checkIndpent;
	TCKBox *m_checkJazz;
	TCKBox *m_checkOthers;
	TCKBox *m_checkRock;
	TCKBox *m_checkSamba;
	TCKBox *m_checkWaltz;
	TCKBox *m_checkSubmit;
	TComboBoxComponent *m_pcbOriAmend;
	TLabel *m_lbLyrices;
	TMemo *m_memoLyrices;
	TImage *m_ImgCover;
	TCKBox *m_checkProject;
	TLineEdit *m_editCpjPrice;
	TLabel *m_lbSpriceDes;
	TLabel *m_lbPrice;

	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall OkClick(TObject *Sender);
	void __fastcall CheckBoxClick(TObject *Sender);
	void __fastcall EditNameChange(TObject *Sender);
	void __fastcall m_pcbOriAmendChange(TComboBoxItem *Sender, int Index);
	void __fastcall MemoChange(TObject *Sender);
	void __fastcall m_ImgCoverClick(TObject *Sender);
	void __fastcall m_memoLyricesChange(TObject *Sender);
	void __fastcall ProjectClick(TObject *Sender);
	void __fastcall m_editCpjPriceChange(TObject *Sender);

private:	// User declarations
	int m_iCheckCount;
	TCKBox* m_cbTypes[MUSIC_TYPE_NUM];

	String m_strLyrices;
	String m_strCopperPath;
	String m_strMusicCoverPath;
	bool __fastcall SetMusicCover(String &strCoverPath);

	MESSAGE void __fastcall onUM_MUSICCOVER(TMessage & Msg);

	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(UM_MUSICCOVER,TMessage,onUM_MUSICCOVER)
	END_MESSAGE_MAP(TForm)
public:		// User declarations

	__fastcall TUploadForm(TComponent* Owner);
	__fastcall ~TUploadForm();

};
//---------------------------------------------------------------------------
extern PACKAGE TUploadForm *UploadForm;
//---------------------------------------------------------------------------
#endif
